{
  "id": "4dd2d82df3b96a79d4690767",
  "source": "go:parse",
  "type": "go-function",
  "title": "parse.func Parse",
  "content": "# parse.func Parse ¶\n\n```\nfunc Parse(name, text, leftDelim, rightDelim string, funcs ...map[string]any) (map[string]*Tree, error)\n```\n\nParse returns a map from template name to Tree, created by parsing the\ntemplates described in the argument string. The top-level template will be\ngiven the specified name. If an error is encountered, parsing stops and an\nempty map is returned with the error.",
  "url": "https://pkg.go.dev/parse#func Parse ¶",
  "metadata": {
    "examples": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "function",
    "package": "parse",
    "signature": "func Parse(name, text, leftDelim, rightDelim string, funcs ...map[string]any) (map[string]*Tree, error)",
    "symbol": "func Parse ¶"
  },
  "hash": "6598b7ec9545ba9977a4d99e01c2173b26e3680fe0eba2cf6950b3b263d7d27b",
  "timestamp": "2026-02-23T11:22:10.617527123+01:00"
}